relaxngcc.codedom

## Class CDObjectCreateExpression

- java.lang.Object
- - relaxngcc.codedom.CDExpression
  - - relaxngcc.codedom.CDObjectCreateExpression

All Implemented Interfaces:
  CDStatement

    public class CDObjectCreateExpression
    extends CDExpression
    implements CDStatement

### Method Summary

Methods
`CDObjectCreateExpression` `arg(CDExpression arg)`
`void` `express(CDFormatter f)` Prints itself as an expression.
`void` `state(CDFormatter f)` Prints itself as a statement.

### Methods inherited from class relaxngcc.codedom.CDExpression

`_new, arrayRef, arrayRef, castTo, invoke, not, prop`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### arg

    public CDObjectCreateExpression arg(CDExpression arg)

#### express

    public void express(CDFormatter f)
                 throws java.io.IOException

Description copied from class: `CDExpression`
Prints itself as an expression.

Throws:
  `java.io.IOException`

#### state

    public void state(CDFormatter f)
               throws java.io.IOException

Description copied from interface: `CDStatement`
Prints itself as a statement.

Specified by:
  `state` in interface `CDStatement`
Throws:
  `java.io.IOException`